<h1 mat-dialog-title>{{isEdit ? "Edit Location" : "Add Location"}}</h1>

<form (ngSubmit)="onSave()" #locationForm="ngForm">
    <mat-dialog-content>

       <mat-form-field>
           <input matInput placeholder="Name" [(ngModel)]="tempLocation.name" required name="locationName">
       </mat-form-field><br />

        <mat-form-field>
            <input matInput placeholder="Phone" [(ngModel)]="tempLocation.phone" name="locationPhone">
        </mat-form-field><br />

        <mat-form-field>
            <input matInput placeholder="Address" [(ngModel)]="tempLocation.address" name="locationAddress">
        </mat-form-field><br />

        <mat-form-field>
            <input matInput placeholder="Omni Location" [(ngModel)]="tempLocation.omniLocation" name="omniLocation">
        </mat-form-field><br />

        <mat-form-field>
            <input matInput placeholder="ISP Name" [(ngModel)]="tempLocation.internetProviderName" required name="providerName">
        </mat-form-field><br />

        <mat-form-field>
            <input matInput placeholder="ISP Phone" [(ngModel)]="tempLocation.internetProviderPhone" required name="providerPhone">
        </mat-form-field><br />

        <mat-form-field>
            <input matInput placeholder="Download Speed" [(ngModel)]="tempLocation.downSpeed" type="number" required name="downSpeed">
        </mat-form-field><br />

        <mat-form-field>
            <input matInput placeholder="Upload Speed" [(ngModel)]="tempLocation.upSpeed" type="number" required name="upSpeed">
        </mat-form-field><br />

        <mat-checkbox [(ngModel)]="tempLocation.hasStatic" name="hasStatic">Static IP</mat-checkbox><br />
        <mat-checkbox [(ngModel)]="tempLocation.hasRingCentral" name="hasRingCentral">RingCentral</mat-checkbox><br />
        <mat-checkbox [(ngModel)]="tempLocation.hasRetailRadio" name="hasRetailRadio">Retail Radio</mat-checkbox>

    </mat-dialog-content>

    <mat-dialog-actions class="FlexAlignRight DisplayFlex">
        <button mat-raised-button color="accent" type="submit" [disabled]="!locationForm.form.valid || isLoading">Save</button>
    </mat-dialog-actions>

</form>